Package org.apache.calcite.avatica.remote

# Class AvaticaHttpClientFactoryImpl

java.lang.Object
org.apache.calcite.avatica.remote.AvaticaHttpClientFactoryImpl

All Implemented Interfaces:
  `AvaticaHttpClientFactory`

public class AvaticaHttpClientFactoryImpl extends Object implements AvaticaHttpClientFactory
Default implementation of `AvaticaHttpClientFactory` which chooses an implementation from a property.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HTTP_CLIENT_IMPL_DEFAULT`
`static final AvaticaHttpClientFactoryImpl`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`AvaticaHttpClientFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`AvaticaHttpClient`
`getClient(URL url, ConnectionConfig config, KerberosConnection kerberosUtil)`
Construct the appropriate implementation of `AvaticaHttpClient`.
`static AvaticaHttpClientFactoryImpl`
`getInstance()`
Returns a singleton instance of `AvaticaHttpClientFactoryImpl`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HTTP_CLIENT_IMPL_DEFAULT

public static final String HTTP_CLIENT_IMPL_DEFAULT

### INSTANCE

public static final AvaticaHttpClientFactoryImpl INSTANCE

## Constructor Details

### AvaticaHttpClientFactoryImpl

public AvaticaHttpClientFactoryImpl()

## Method Details

### getInstance

public static AvaticaHttpClientFactoryImpl getInstance()
Returns a singleton instance of `AvaticaHttpClientFactoryImpl`.

Returns:
  A singleton instance.

### getClient

public AvaticaHttpClient getClient(URL url, ConnectionConfig config, KerberosConnection kerberosUtil)
Description copied from interface: `AvaticaHttpClientFactory`
Construct the appropriate implementation of `AvaticaHttpClient`.

Specified by:
  `getClient` in interface `AvaticaHttpClientFactory`
Parameters:
  `url` - URL that the client is for.
  `config` - Configuration to use when constructing the implementation.
Returns:
  An instance of `AvaticaHttpClient`.